package apis

type JtContentAddRequest struct {
	SelfId        int64    `json:"self_id"`
	SelfName      string   `json:"self_name"`
	ContentType   int      `json:"content_type"`
	Title         string   `json:"title"`
	FirstPics     []string `json:"first_pics"`
	Content       string   `json:"content"`
	PublishStatus int32    `json:"publish_status"`
}

type JtContentAddReply struct {
}

type JtContentUpdateRequest struct {
	SelfId      int64    `json:"self_id"`
	SelfName    string   `json:"self_name"`
	ContentType int      `json:"content_type"`
	Title       string   `json:"title"`
	FirstPics   []string `json:"first_pics"`
	Content     string   `json:"content"`
	Id          int64    `json:"id"`
	PublishStatus int32    `json:"publish_status"`
}

type JtContentUpdateReply struct {
}

type JtContentDelRequest struct {
	SelfId      int64  `json:"self_id"`
	SelfName    string `json:"self_name"`
	ContentType int    `json:"content_type"`
	Id          int64  `json:"id"`
}

type JtContentDelReply struct {
}

type JtContentItem struct {
	Title     string   `json:"title"`
	FirstPics []string `json:"first_pics"`
	Content   string   `json:"content"`
	Id        int64    `json:"id"`
	CreatedAt int64    `json:"created_at"`
	PublishStatus int32    `json:"publish_status"`
}

type JtContentListRequest struct {
	Page        int64 `json:"page"`
	PageSize    int64 `json:"page_size"`
	ContentType int   `json:"content_type"`
	SelfId      int64 `json:"self_id"`
}

type JtContentListReply struct {
	Page  int64            `json:"page"`
	Total int64            `json:"total"`
	List  []*JtContentItem `json:"list"`
}

type JtContentPublishRequest struct {
	SelfId      int64  `json:"self_id"`
	SelfName    string `json:"self_name"`
	ContentType int    `json:"content_type"`
	Id          int64  `json:"id"`
	PublishStatus int32 `json:"publish_status"`
}

type JtContentPublishReply struct {

}
