package apis

type OperationLogAddRequest struct {
	User          string `json:"user"`
	Uid           int64  `json:"uid"`
	Module        int32  `json:"module"`
	Operation     int32  `json:"operation"`
	OriginContent string `json:"origin_content"`
	TargetContent string `json:"target_content"`
	OperationTime int64  `json:"operation_time"`
}

type OperationLogAddReply struct {
}

type OperationLogItem struct {
	Id            int64  `json:"id"`
	User          string `json:"user"`
	Uid           int64  `json:"uid"`
	Module        string `json:"module"`
	Operation     string `json:"operation"`
	OriginContent string `json:"origin_content"`
	TargetContent string `json:"target_content"`
	OperationTime int64  `json:"operation_time"`
}

type OperationLogListRequest struct {
	Page     int64 `json:"page"`
	PageSize int64 `json:"page_size"`
	Start    int64 `json:"start"`
	End      int64 `json:"end"`
}

type OperationLogListReply struct {
	Page  int64               `json:"page"`
	Total int64               `json:"total"`
	List  []*OperationLogItem `json:"list"`
}

type OperationLogDelRequest struct {
	SelfId int64   `json:"self_id"`
	Ids    []int64 `json:"ids"`
}

type OperationLogDelReply struct {
}
