package apis

type PagePicAddRequest struct {
	SelfId   int64  `json:"self_id"`
	SelfName string `json:"self_name"`
	Pic      string `json:"pic"`
}

type PagePicAddReply struct {
}

type PagePicUpdateRequest struct {
	SelfId   int64  `json:"self_id"`
	SelfName string `json:"self_name"`
	Pic      string `json:"pic"`
	Id       int64  `json:"id"`
}

type PagePicUpdateReply struct {
}

type PagePicDelRequest struct {
	SelfId   int64  `json:"self_id"`
	SelfName string `json:"self_name"`
	Id       int64  `json:"id"`
}

type PagePicDelReply struct {
}

type PagePicItem struct {
	Pic       string `json:"pic"`
	Id        int64  `json:"id"`
	CreatedAt int64  `json:"created_at"`
}

type PagePicListRequest struct {
	Page     int64 `json:"page"`
	PageSize int64 `json:"page_size"`
}

type PagePicListReply struct {
	Page  int64          `json:"page"`
	Total int64          `json:"total"`
	List  []*PagePicItem `json:"list"`
}

/*
type PagePicPublishRequest struct {
	SelfId      int64  `json:"self_id"`
	SelfName    string `json:"self_name"`
	Id          int64  `json:"id"`
	PublishStatus int32 `json:"publish_status"`
}

type PagePicPublishReply struct {

}
*/
