package v1

import (
	"xingjia-management-gateway/apis"
	"xingjia-management-gateway/param/base"
)

type OperationLogListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Start    int64 `form:"start" json:"start"`
	End      int64 `form:"start" json:"end"`
}

type OperationLogListRequest struct {
	base.Header
	OperationLogListQuery
}

type OperationLogListResponse struct {
	base.Result
	Data apis.OperationLogListReply `json:"data"`
}

type OperationLogDelQuery struct {
	Ids string `form:"ids" json:"ids"`
}

type OperationLogDelRequest struct {
	base.Header
	OperationLogDelQuery
}

type OperationLogDelResponse struct {
	base.Result
}
